%global npm_name extsprintf
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.4.0
Release: %mkrel 3
Summary: extended POSIX-style sprintf
License: MIT
Group: Development/Other
URL: https://github.com/davepacheco/node-extsprintf#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr Makefile.targ %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr jsl.node.conf %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGES.md
%doc CONTRIBUTING.md
%doc README.md



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1502655
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1280474
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1227251
- imported package nodejs-extsprintf

